<section id="Event-List">
	<table>
        <tr>
            <th class="command"></th>
            <th class="desc">footnote</th>
        </tr>
        <tr>
            <td class="bold">*</td>
            <td>writable</td>
        </tr>
        <tr>
            <td class="bold">**</td>
            <td>can be null</td>
        </tr>
        <tr>
            <td class="bold">receiver</td>
            <td>"dev" / "online" / "SERVER" / player</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_hurt</th>
            <th class="desc">an entity gets hurt</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>damage_source<br>*damage_amount<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_heal</th>
            <th class="desc">an entity gets healed</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>*heal_amount<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_death</th>
            <th class="desc">an entity dies</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>damage_source<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_drop</th>
            <th class="desc">a destroyed block drops something</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>**entity<br>**item<br>location<br>block<br>block_type<br>*drops with item-entities as list</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_experience_drop</th>
            <th class="desc">an entity dies and drops exp</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>*experience<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living_drop</th>
            <th class="desc">an entity dies and drops something</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>damage_source<br>*drops with item-entities as list<br>looting (as double)<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_click</th>
            <th class="desc">an entity gets right_clicked</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>entity<br>hand ("MAIN_HAND", "OFF_HAND")<br>*cancel</td>
        </tr>
    </table>
	</table>
    <table>
        <tr>
            <th class="command">entity_join</th>
            <th class="desc">an entity spawns</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_leave</th>
            <th class="desc">an entity despawns</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">animal_tame</th>
            <th class="desc">an entity gets tamed</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>animal<br>tamer<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity_mount</th>
            <th class="desc">an entity (dis)mounts another entity</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>rider<br>entity<br>mounting as boolean<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_login</th>
            <th class="desc">a player joins the server</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_logout</th>
            <th class="desc">a player leaves the server</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_pre_respawn</th>
            <th class="desc">the players will respawn</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can set the spawn-location on this event</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_post_respawn</th>
            <th class="desc">the players has respawned</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>devs can refill the inventory on this event</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">living_pre_hurt</th>
            <th class="desc">an entity gets hurt (event is thrown before living_hurt and cancels damage-animation and knockback)</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>damage_source<br>*damage_amount<br>*cancel</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">living_jump</th>
            <th class="desc">an entity jumps</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_sneak</th>
            <th class="desc">a player sneaks</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>sneak as boolean</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">mob_griefing</th>
            <th class="desc">an entity destroys the world</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>entity<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_toss</th>
            <th class="desc">a player tosses an item</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_pickup</th>
            <th class="desc">a player picks up an item</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>entity (item)<br>item<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player_move</th>
            <th class="desc">a player moves in an before defined area</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>id</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_break</th>
            <th class="desc">a block is broken</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>block as object<br>block_loc<br>block_type (e.g. "minecraft:wool", "km:artefact")<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_place</th>
            <th class="desc">a block is placed</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>block as object<br>block_loc<br>block_type</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block_click</th>
            <th class="desc">a block gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>block as object<br>block_loc<br>block_type<br>action ("left", "right")<br>hand ("MAIN_HAND", "OFF_HAND")<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">bucket_use</th>
            <th class="desc">a bucket is filled / vacated</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>has_block as boolean<br>**block<br>**block_loc<br>**block_type<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_click</th>
            <th class="desc">a slot in an inventory gets clicked</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>item<br>inv<br>inv_name<br>inv_slot as number<br>inv_id<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv_close</th>
            <th class="desc">an inventory gets closed</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>inv<br>inv_id<br>inv_name</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_use_start</th>
            <th class="desc">an item gets started to be used with rightclick</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>item<br>duration as number<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_use_finish</th>
            <th class="desc">an item gets finished to be used with rightclick</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>living_entity<br>item<br>result (result item)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">craft</th>
            <th class="desc">a player crafts an item</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>*result</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">portal</th>
            <th class="desc">a player switches the world</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>from world as string<br>to world as string</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">fishing</th>
            <th class="desc">a player fishes something</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>rod_damage<br>hook (entity)<br>*drops with itemstacks as list<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command</th>
            <th class="desc">a player uses a vanilla command</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>command as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">custom_command</th>
            <th class="desc">a player (or console) uses a custom-command</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player (null if console)<br>player_name (null if console) (deprecated)<br>command as string<br>args as list</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">chat</th>
            <th class="desc">a player writes into chat</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>message as string<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">projectile_hit</th>
            <th class="desc">a thrown projectile hits a block or an entity</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>shooter<br>projectile<br>**entity_hit (=hitted entity)<br>**loc_hit (=hitted location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_hit</th>
            <th class="desc">the item thrown with living.shootProjectile() hits a block or an entity</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>shooter<br>projectile (=thrown entity)<br>item<br>**entity_hit (=hitted entity)<br>**loc_hit (=hitted location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item_air_click</th>
            <th class="desc">a player makes a rightclick into air with an item</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>hand ("MAIN_HAND", "OFF_HAND")<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">left_click_air</th>
            <th class="desc">a player makes a leftclick into air</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">function_key</th>
            <th class="desc">a player pushes one of the mod-functional-keys</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>key as number from 1 to 9<br>*cancel</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">human_hurt</th>
            <th class="desc">an entity beats a human</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>entity<br>human</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">pre_explosion</th>
            <th class="desc">explosions are cancelled on default</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>location<br>damage_source<br>*cancel|true</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">explosion</th>
            <th class="desc">explosion</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>location<br>damage_source<br>*affected_blocks as list with BlockPos<br>affected_entities as list</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_command</th>
            <th class="desc">a player uses an non-existing command</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>**player<br>**player_name (deprecated)<br>command_name<br>sender_name</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">missing_perm</th>
            <th class="desc">a player has no permissions for a used command</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>**player<br>**player_name (deprecated)<br>command_name<br>sender_name</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_data_tick</th>
            <th class="desc">thrown if timer from data.setTimer reached 0</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)<br>var</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_start</th>
            <th class="desc">thrown if a player starts using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player_elytra_stop</th>
            <th class="desc">thrown if a player stops using an elytra</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>player<br>player_name (deprecated)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world_load</th>
            <th class="desc">a world gets loaded</th>
        </tr>
        <tr>
            <td class="bold">Variablen</td>
            <td>world</td>
        </tr>
    </table>
</section>
<section id="Event">
    <table>
        <tr>
            <th class="command">event.addMoveData</th>
            <th class="desc">defines an area for player_move event and returns the move_id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.addMoveData(location1, location2, cooldown, livingtime, [uuid / string_uuid / player])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                cooldown: -1 terminated after a single trigger<br>
                cooldown: > 0 clock rate in Ticks. no termination<br>
				livingtime: -1 area lives forever<br>
                livingtime: > 0 stays amount of ticks alive<br>
				player / uuid: event only triggers for this player
            </td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>on script termination this area will be removed</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">event.removeMoveData</th>
            <th class="desc">removes a defined area for player_move event</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>event.removeMoveData(id)</td>
        </tr>
    </table>
</section>
<section id="Ban">
	<table>
        <tr>
            <th class="command">ban.add</th>
            <th class="desc">bans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.add(uuid / string_uuid / player, reason, banner, [end_date])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				reason as string<br>
				banner as string (the person who bans, almost you can write in here what you want)<br>
				end_date as calendar object
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">ban.remove</th>
            <th class="desc">unbans a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.remove(uuid / string_uuid / player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">ban.kick</th>
            <th class="desc">kicks a player from the server</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>ban.kick(player, reason)</td>
        </tr>
    </table>
</section>
<section id="Block">
    <table>
        <tr>
            <th class="command">block.set</th>
            <th class="desc">set a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.set(location, ItemString, [boolean|false])</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true places without block update</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>block.set(loc, "km:apricot_leaves")<br>block.set(loc, "minecraft:oak_log[axis=x]")</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.clone</th>
            <th class="desc">clone a block from a location to another</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.clone(from-location, to-location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setSpawnerType</th>
            <th class="desc">sets the spawnertype</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setSpawnerType(location, entity_class)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setSign</th>
            <th class="desc">set text on a sign and returns true on success</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setSign(location, row, text)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block.setSign(row: 0 to 3)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getSign</th>
            <th class="desc">returns the text of a sign from a specific row or null if block is no sign</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getSign(location, row)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block.setSign(row: 0 to 3)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.addItem</th>
            <th class="desc">adds an itemstack to a container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.addItem(location, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Returns</td>
            <td>the modified original itemstack that has not fit in. air itemstack if done perfectly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.subItem</th>
            <th class="desc">removes an itemstack from a container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.subItem(location, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Returns</td>
            <td>the modified original itemstack that could not be removed. air itemstack if done perfectly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.get</th>
            <th class="desc">returns a block object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getSecChest</th>
            <th class="desc">returns the second location of a doublechest</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getSecChest(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getInv</th>
            <th class="desc">returns the (non-copy) inventory of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getInv(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getType</th>
            <th class="desc">returns the type of a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getType(location)</td>
        </tr>
		<tr>
            <td class="bold">Examples</td>
            <td>returns "minecraft:wool" / "km:artefact"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.toStack</th>
            <th class="desc">returns an itemstack from a block at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.toStack(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getItemAmount</th>
            <th class="desc">returns the amount from a specific itemtype in an container</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getItemAmount(location, boolean, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>false means exact itemstack</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setDoorStatus</th>
            <th class="desc">true opens a door</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setDoorStatus(location, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getDoorStatus</th>
            <th class="desc">returns true if the door is open</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getDoorStatus(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.setTrapdoorStatus</th>
            <th class="desc">true opens a trapdoor</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setTrapdoorStatus(location, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.getTrapdoorStatus</th>
            <th class="desc">returns true if the trapdoor is open</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getTrapdoorStatus(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.isAir</th>
            <th class="desc">returns true if the block at the location is an air block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.isAir(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.countAir</th>
            <th class="desc">returns the amount of air blocks a location surrounded with</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.countAir(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">block.isSolid</th>
            <th class="desc">returns true if the block is solid</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.isSolid(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.hasTag</th>
            <th class="desc">returns true if a block has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.hasTag(tag, Block)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getProperties</th>
            <th class="desc">returns a collection of properties</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getProperties(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.getProperty</th>
            <th class="desc">returns a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.getProperty(String property_name)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>some properties has to be renamed. look here: <a href="https://git.hammerle.me/kjhammerle/minecraft-kajetans-mod/src/master/src/main/java/me/km/utils/Mapper.java" target="_blank">me.km.utils.Mapper</a></td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.property.getValue</th>
            <th class="desc">returns the value of a property as double, string or boolean, demanding on the property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.getValue(location, property)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.property.setInt</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setInt(location, property, int)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.property.setBool</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setBool(location, property, boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.property.setEnum</th>
            <th class="desc">sets the value of a property</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.property.setEnum(location, property, string))</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.setState</th>
            <th class="desc">sets the state of a block</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.setState(location, state, [boolean])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.newState</th>
            <th class="desc">creates a block state</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.newState(state)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>block.newState("minecraft:stone")</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>returns null if invalid state</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">block.break</th>
            <th class="desc">breaks a block and drops the item</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>block.break(location, entity)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>entity can be null</td>
        </tr>
    </table>
</section>
<section id="Databank">
    <table>
        <tr>
            <th class="command">databank.prepare</th>
            <th class="desc">returns the prepared statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.prepare(sql-query, [boolean autoclose|true])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setInt</th>
            <th class="desc">sets an int into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setInt(statement, index, int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setDouble</th>
            <th class="desc">sets a double into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setDouble(statement, index, double)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setLong</th>
            <th class="desc">sets a long into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setLong(statement, index, long)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setString</th>
            <th class="desc">sets a string into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setString(statement, index, string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.setBool</th>
            <th class="desc">sets a boolean into a statement</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.setBool(statement, index, boolean)</td>
        </tr>
    </table>
	
    <table>
        <tr>
            <th class="command">databank.getInt</th>
            <th class="desc">returns an int from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getInt(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getDouble</th>
            <th class="desc">returns a double from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getDouble(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getLong</th>
            <th class="desc">returns a long from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getLong(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getString</th>
            <th class="desc">returns a string from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getString(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.getBool</th>
            <th class="desc">returns a boolean from a result set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.getBool(result-set, index)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.execute</th>
            <th class="desc">returns a result-set after executing the statement (for all reading queries like SHOW, SELECT)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.execute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.workerExecute</th>
            <th class="desc">executing the statement (for all writing queries like UPDATE, DELETE, CREATE, INSERT, DROP)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.workerExecute(statement)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.next</th>
            <th class="desc">returns true and jumps to the next entry if the result-set has a next entry</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.next(result-set)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">databank.close</th>
            <th class="desc">manual closing of a result-set</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>databank.close(result-set)</td>
        </tr>
    </table>
</section>
<section id="Config">
    <table>
        <tr>
            <th class="command">config.saveAsync</th>
            <th class="desc">saves a config asynchronous</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>config.saveAsync(config)</td>
        </tr>
    </table>
</section>
<section id="Gamerule">
	<table>
        <tr>
            <th class="command">gamerule.getKey</th>
            <th class="desc">returns the gamerule_key</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getKey(gamerule_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.getValue</th>
            <th class="desc">return the gamerule_value from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getValue(world, gamerule_key)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.isBool</th>
            <th class="desc">returns true if the value is a boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.isBool(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.isInt</th>
            <th class="desc">returns true if the value is an integer</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.isInt(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.getBool</th>
            <th class="desc">returns the gamerule_value as boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getBool(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.getInt</th>
            <th class="desc">returns the gamerule_value as integer</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.getInt(gamerule_value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.setBool</th>
            <th class="desc">sets a gamerule_value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setBool(gamerule_value, boolean)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>Gamerules in other worlds than the overworld are not persistent.</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">gamerule.setInt</th>
            <th class="desc">sets a gamerule_value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>gamerule.setInt(gamerule_value, value)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>Gamerules in other worlds than the overworld are not persistent.</td>
        </tr>
    </table>
    </table>
</section>
<section id="General">
    <table>
        <tr>
            <th class="command">msg</th>
            <th class="desc">sends a message</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>msg(receiver, string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">print</th>
            <th class="desc">prints a text for devs</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>print(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command</th>
            <th class="desc">executes a Minecraft command from console</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command(minecraft command syntax as string without /)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">worker.hasWork</th>
            <th class="desc">returns true if the worker is working</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>worker.hasWork()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">isPlayer</th>
            <th class="desc">returns true if the argument is a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isPlayer(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">isLiving</th>
            <th class="desc">returns true if the argument is a living entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>isLiving(anything)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">setMOTD</th>
            <th class="desc">sets the server text in the server list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>setMOTD(text)</td>
        </tr>
    </table>
</section>
<section id="Item">
    <table>
        <tr>
            <th class="command">item.drop</th>
            <th class="desc">drops an itemstack at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.drop(location, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.get</th>
            <th class="desc">returns an item as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.get(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.getType</th>
            <th class="desc">returns the type of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getType(itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>"minecraft:wool" / "km:artefact"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.getAmount</th>
            <th class="desc">returns the amount of items in an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getAmount(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.setAmount</th>
            <th class="desc">sets the amount of items for an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setAmount(itemstack, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.getName</th>
            <th class="desc">returns the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getName(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.setName</th>
            <th class="desc">sets the name of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setName(itemstack, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.getLore</th>
            <th class="desc">returns a list with all lores of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getLore(ItemStack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.setLore</th>
            <th class="desc">sets the lore for an itemstack with the elements in the list</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setLore(itemstack, List)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.addLore</th>
            <th class="desc">sets the lore for an itemstack for a specific row</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addLore(itemstack, lore, row)</td>
        </tr>
    </table>
	<table>
	    <tr>
            <th class="command">item.addAttribute</th>
            <th class="desc">adds an attribute to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addAttribute(itemstack, attribute, slot, double, operation)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>
				attributes: generic.max_health, generic.follow_range, generic.knockback_resistance, generic.movement_speed, generic.flying_speed, generic.attack_damage, generic.attack_damage, generic.attack_knockback, generic.attack_speed, generic.armor, generic.armor_toughness, generic.luck, zombie.spawn_reinforcements, horse.jump_strength<br>
				slots: mainhand, offhand, head, chest, legs, feet<br>
				operation: 0 (ADDITION), 1 (MULTIPLY_BASE), 2 (MULTIPLY_TOTAL)
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.hide</th>
            <th class="desc">hides something on an itemstack and returns true on success</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hide(itemstack, name)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>name: "enchantments" / "attributes" / "unbreakable" / "destroys" / "placed_on" / "potion_effects"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.addPotion</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.addPotion(itemstack, potion_name, duration, power)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.setCoolDown</th>
            <th class="desc">sets the cooldown for an item-type</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setCoolDown(player, itemstack, ticks)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.clone</th>
            <th class="desc">returns a copy of an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.clone(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.getTag</th>
            <th class="desc">returns a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getTag(String tag_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.hasTag</th>
            <th class="desc">returns true if an itemstack has a tag</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasTag(tag, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.hasName</th>
            <th class="desc">returns true if the itemstack has a modified name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.hasName(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.getFullText</th>
            <th class="desc">returns the full text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getFullText(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.isDamageable</th>
            <th class="desc">returns true if the itemstack is damageable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.isDamageable(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.getMaxDamage</th>
            <th class="desc">returns the maximum damage the itemstack can get</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxDamage(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.setDamage</th>
            <th class="desc">sets the damage of the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.setDamage(itemstack, amount)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.getMaxAmount</th>
            <th class="desc">returns the maximum amount of stackable items</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.getMaxAmount(itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.entity.get</th>
            <th class="desc">returns an itemstack from an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.get(item-entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.entity.set</th>
            <th class="desc">sets an itemstack to an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.set(item-entity, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.entity.new</th>
            <th class="desc">creates an item-entity from an itemstack and returns the item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.new(location, itemstack)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">item.entity.spawn</th>
            <th class="desc">spawns an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.spawn(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">item.entity.setLifespan</th>
            <th class="desc">sets the lifespan of an item-entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>item.entity.setLifespan(item-entity, ticks)</td>
        </tr>
    </table>
</section>
<section id="Enchantment">
	<table>
        <tr>
            <th class="command">enchantment.get</th>
            <th class="desc">returns an enchantment</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.get(enchantment_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td><a href="https://minecraft-de.gamepedia.com/Verzauberung#Verzauberungen" target="_blank">Minecraft Wiki Verzauberungen</a> (ID-Name verwenden)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">enchantment.add</th>
            <th class="desc">adds an enchantment to an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.add(enchantment, itemstack, level)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">enchantment.getLevel</th>
            <th class="desc">returns the level of an enchantment an itemstack has</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.getLevel(enchantment, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">enchantment.readFromItem</th>
            <th class="desc">returns a map with all enchantments from an item with the level as value</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.readFromItem(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">enchantment.writeToItem</th>
            <th class="desc">transfers all enchantments from the map on the itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>enchantment.writeToItem(map, itemstack)</td>
        </tr>
    </table>
</section>
<section id="Error">
	<table>
        <tr>
            <th class="command">error.clear</th> 
            <th class="desc">clears all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.getSize</th> 
            <th class="desc">returns the amount of all cached errors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.getIndex</th> 
            <th class="desc">returns the error from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">error.setConsolePrint</th> 
            <th class="desc">true prints snuvi errors on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>error.setConsolePrint(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.clear</th> 
            <th class="desc">clears all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.clear()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.getSize</th> 
            <th class="desc">returns the amount of all cached debug-messages</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getSize()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.getIndex</th> 
            <th class="desc">returns the debug-message from an index</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.getIndex(index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">debug.setConsolePrint</th> 
            <th class="desc">true prints snuvi debug-messages on console (not stack traces)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>debug.setConsolePrint(boolean)</td>
        </tr>
    </table>
</section>
<section id="Location">
    <table>
        <tr>
            <th class="command">loc.new</th> 
            <th class="desc">creates a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.new(World, x, y, z)<br>loc.new(World, x, y, z, yaw, pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getX</th>
            <th class="desc">returns the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getX(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setX</th>
            <th class="desc">sets the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setX(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addX</th>
            <th class="desc">adds the value to the x coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addX(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getY</th>
            <th class="desc">returns the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getY(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setY</th>
            <th class="desc">sets the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setY(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addY</th>
            <th class="desc">adds the value to the y coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addY(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getZ</th>
            <th class="desc">returns the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getZ(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setZ</th>
            <th class="desc">sets the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setZ(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.addZ</th>
            <th class="desc">adds the value to the z coordinate</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.addZ(location, value)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setYaw</th>
            <th class="desc">sets the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setYaw(location, Yaw)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getYaw</th>
            <th class="desc">returns the yaw of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getYaw(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setPitch</th>
            <th class="desc">sets the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setPitch(location, Pitch)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getPitch</th>
            <th class="desc">returns the pitch of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getPitch(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getWorld</th>
            <th class="desc">returns the world of a location as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getWorld(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.distance</th>
            <th class="desc">returns the difference between two locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.distance(location1, location2)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>there is no error if the two locations have not the same world</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.isBetween</th>
            <th class="desc">returns true if the location is between two other locations</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.isBetween(location, location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.mod</th>
            <th class="desc">returns a modified copy of the location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.mod(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.add</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.add(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.set</th>
            <th class="desc">modifies the original location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.set(location, x, y, z)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.getCoord</th>
            <th class="desc">returns information from location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.getCoord(location, w/x/y/z/bx/by/bz)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>w as world_name_string<br>b are block coordinates</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.sort</th>
            <th class="desc">sort in lowest and highest coordinates</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.sort(location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.setBlockPos</th>
            <th class="desc">sets the coordinates of a location from a blockPos</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.setBlockPos(location, blockPos)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.iterator</th>
            <th class="desc">returns the iterator for the area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.iterator(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">loc.trace</th>
            <th class="desc">returns the traced original location or false if no block is found</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.trace(location, direction_x, direction_y, direction_z, steps, boolean)</td>
        </tr>
		<tr>
            <td class="bold">Arguments</td>
            <td>boolean true means the block before the last one</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">loc.explode</th>
            <th class="desc">makes an explosion at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>loc.explode(location, entity, radius, fire_bool, block_damage_bool)</td>
        </tr>
		<tr>
			<td class="bold">Info</td>
            <td>entity can be null</td>
        </tr>
    </table>
</section>
<section id="Read">
    <table>
        <tr>
            <th class="command">read.spawnMob</th>
            <th class="desc">spawns a mob and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.spawnMob(location, nbt-tag)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">read.player</th>
            <th class="desc">returns the object player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.player(playername)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">read.item</th>
            <th class="desc">returns an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
			<td>
				read.item(nbt-tag)<br>
				read.item(item_type)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount)<br>
				read.item(item_type, item_amount, name)<br>
				read.item(item_type, item_amount, name, lore1, lore2, ...)
			</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>returns null if the item does not exist</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">read.location</th>
            <th class="desc">returns a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>read.location("location")</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>worldname:x:y:z[:yaw:pitch]</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>read.location("gpvpnew:234:100:-341")<br>read.location("gpvpnew:234:100:-341:90:15")</td>
        </tr>
    </table>
	<table>
		<tr>
			<th class="command">read.uuid</th>
			<th class="desc">returns a uuid</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.uuid("uuid")</td>
		</tr>
	</table>
	<table>
		<tr>
			<th class="command">read.slot</th>
			<th class="desc">returns a slot</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>read.slot(slot)</td>
		</tr>
		<tr>
			<td class="bold">Info</td>
			<td>slot: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
		</tr>
	</table>
</section>
<section id="Text">
    <table>
        <tr>
            <th class="command">text.item</th>
            <th class="desc">returns an nbt-tag from an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.item(itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.location</th>
            <th class="desc">returns a string from a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.location(location)</td>
        </tr>
    </table>
	<table>
		<tr>
			<th class="command">text.locationBlock</th>
			<th class="desc">returns a string with rounded coordinates from a location</th>
		</tr>
		<tr>
			<td class="bold">Format</td>
			<td>text.locationBlock(location)</td>
		</tr>
	</table>
    <table>
        <tr>
            <th class="command">text.entity</th>
            <th class="desc">returns a string from a entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.entity(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">removeFormat</th>
            <th class="desc">removes formatting</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>removeFormat(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.click</th>
            <th class="desc">returns a clickable text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.click(show_text, execute_text)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
                msg(player, text.click("Click me", "and i will appear in the player's text screen"));<br>
                <br>
                msg(player, text.click("Click me", "/wusi"));<br>
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.hover</th>
            <th class="desc">returns a hoverable text object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.hover(show_text, execute_text)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
                msg(player, text.hover("Move over this text", "to see this text"));<br>
                <br>
                msg(player, text.hover(text.click("Click or move over me", "to print text or execute a command like /wusi"), "or to show this hover_text"));<br>
            </td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.link</th>
            <th class="desc">returns a clickable message for links</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.link(message, link)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.copyText</th>
            <th class="desc">returns a clickable message to copy text from a website</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.copyText(message, string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">text.clipBoard</th>
            <th class="desc">returns a clickable message to set text to the clipboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.clipBoard(message, string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">text.concat2</th>
            <th class="desc">connects all given arguments and returns a string object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>text.concat2(arg, ...)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>Colorcodes gets lost with this.</td>
        </tr>
    </table>
</section>
<section id="Plot">
    <table>
        <tr>
            <th class="command">plot.add</th>
            <th class="desc">returns the created plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.add(location1, location2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.remove</th>
            <th class="desc">removes a plot from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.remove(plot, world)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getId</th>
            <th class="desc">returns the plot_id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getId(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.setName</th>
            <th class="desc">sets the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setName(plot, name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getName</th>
            <th class="desc">returns the name of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getName(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.get</th>
            <th class="desc">returns a list with all plots at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.get(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMinZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMinZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxX</th>
            <th class="desc">returns the lowest x coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxX(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxY</th>
            <th class="desc">returns the lowest y coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxY(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getMaxZ</th>
            <th class="desc">returns the lowest z coordinate of a plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getMaxZ(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.intersecting</th>
            <th class="desc">returns a list with all intersecting plots</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.intersecting(world, x1, y1, z1, x2, y2, z2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.setFlags</th>
            <th class="desc">sets all flags to the boolean</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.setFlags(plot, flags, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getFlags</th>
            <th class="desc">returns all flags as double</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getFlags(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.hasFlags</th>
            <th class="desc">returns true if all flags existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.hasFlags(plot, flags)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.getOwners</th>
            <th class="desc">returns a list with all owners as uuid (modifying the list changes the owners)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.getOwners(plot)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.check</th>
            <th class="desc">returns true if the player is owner of any plot from that location OR if any plot contains all given flags. returns empty if there is no plot</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.check(location, player, Int flags, Boolean empty)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>player can be null<br>flags: 0 if not desired<br>1 PLACE_FLAG<br>2 BREAK_FLAG<br>4 BUCKET_FLAG<br>8 HIT_AMBIENT_FLAG<br>16 BLOCK_INTERACT_FLAG<br>32 ENTITY_INTERACT_FLAG</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>
				plot.check(loc, null, 1, false) ==> true if place_flag existing<br>
				plot.check(loc, null, 2, false) ==> true if break_flag existing<br>
				plot.check(loc, null, 3, false) ==> true if break_flag and place_flag existing<br>
				plot.check(loc, player, 0, false) ==> true if player is owner<br>
				plot.check(loc, player, 0, true) ==> true if player is owner or if there is no plot
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">plot.iterator</th>
            <th class="desc">returns the iterator for the plots in a world [for a player]</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>plot.iterator(world, [uuid])</td>
        </tr>
    </table>
</section>
<section id="Table">
	<table>
        <tr>
            <th class="command">table.new</th>
            <th class="desc">returns a table object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.new(color, width, width, width, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getStart</th>
            <th class="desc">returns the tables head</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getStart(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getMiddle</th>
            <th class="desc">returns a tables middle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getMiddle(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.getEnd</th>
            <th class="desc">returns the tables end</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.getEnd(table)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.get</th>
            <th class="desc">returns a tables line</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.get(table, args...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">table.setSize</th>
            <th class="desc">defines the pixel size of a character</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>table.setSize("character", pixel_int)</td>
        </tr>
    </table>
</section>
<section id="Command">
    <table>
        <tr>
            <th class="command">command.add</th>
            <th class="desc">registers a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.add(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.remove</th>
            <th class="desc">removes a custom command</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.remove(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clear</th>
            <th class="desc">removes all custom commands</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clear()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.exists</th>
            <th class="desc">returns true if a custom command exists</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.exists(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addIgnored</th>
            <th class="desc">ignores a (vanilla) command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addIgnored(string)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clearIgnored</th>
            <th class="desc">removes all ignored command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearIgnored()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelp</th>
            <th class="desc">returns a help-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelp(string, perm)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpLiteral</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLiteral(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpBool</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpBool(string, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpDouble</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpDouble(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpFloat</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpFloat(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpInt</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpInt(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpLong</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpLong(string, min, max, [perm])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpString</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpString(string, boolean, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>boolean true means greedy</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.newHelpSpecial</th>
            <th class="desc">returns a help-sub-object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.newHelpSpecial(type, string, [perm])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>type = "Item", "Block", "Potion", "Enchantment", "Player"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelp</th>
            <th class="desc">registers a command-help</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelp(help-object)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelpChild</th>
            <th class="desc">help-sub-object2 is added tp help-(sub-)object1 as a new argument</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpChild(help-(sub-)object1, help-sub-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.addHelpAlias</th>
            <th class="desc">help-object1 refers to help-object2</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.addHelpAlias(help-object1, help-object2)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.sendHelp</th>
            <th class="desc">sends all registered command-helps to all players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.sendHelp()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">command.clearHelp</th>
            <th class="desc">removes all registered command-helps</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>command.clearHelp()</td>
        </tr>
    </table>
</section>
<section id="Scoreboard">
    <table>
        <tr>
            <th class="command">sb.add</th>
            <th class="desc">add text to the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.add(receiver, index, string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>vanilla handling:<br>
				maximum 12 rows<br>
				rows with the same content are only shown once<br>
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.remove</th>
            <th class="desc">removes a row from the scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.remove(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sb.reset</th>
            <th class="desc">removes the whole scoreboard</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sb.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Display">
    <table>
        <tr>
            <th class="command">display.add</th>
            <th class="desc">add icons or text to the players display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.add(receiver, index, string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>index as number from 1 to 99</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>maximum 32 characters each row<br>
				you will find all icons in the mod file .minecraft/mods/km-x.xx/assets/km/textures/gui/icons<br>
				every icon has an id beginning with 1 in the left upper corner<br>
				you show icons in this format: "#id-amount-" e.g. "#3-1-"<br>
				fallback id is 0 (shows nothing)
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">display.remove</th>
            <th class="desc">removes a row from the display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.remove(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 1 to 99</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">display.reset</th>
            <th class="desc">removes the whole display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>display.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Stacks">
    <table>
        <tr>
            <th class="command">stacks.set</th>
            <th class="desc">fills a slot of the stacks-display with an icon</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.set(receiver, index, item_name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 0 to 8</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">stacks.setActive</th>
            <th class="desc">shows/removes the stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.setActive(receiver, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">stacks.clearIndex</th>
            <th class="desc">clears a slot from the stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.clearIndex(receiver, index)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			<td>index as number from 0 to 8</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">stacks.clear</th>
            <th class="desc">clears the whole stacks-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>stacks.clear(receiver)</td>
        </tr>
    </table>
</section>
<section id="Script">
    <table>
        <tr>
            <th class="command">script.start</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.start(scriptpath1, scriptpath2, ...)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">script.startNamed</th>
            <th class="desc">connects all scripts, starts them as one script and returns the script</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.startNamed(custom_name, scriptpath1, scriptpath2, ...)</td>
        </tr>
			<td class="bold">Info</td>
			<td>named scripts can be selected with script.get by their custom_name</td>
		<tr>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">script.callEvent</th>
            <th class="desc">calls an event</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>script.callEvent(event, [script])</td>
        </tr>
    </table>
</section>
<section id="Head">
    <table>
        <tr>
            <th class="command">head.add</th>
            <th class="desc">shows a player's head on the screen</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.add(receiver, id, head_player_name, x, y, width, height)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
				id: free selectable, non-global, per-player<br>
				x/y/width/height: scale from 0 to 1<br>
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">head.remove</th>
            <th class="desc">removes a shown head</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.remove(receiver, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">head.reset</th>
            <th class="desc">Removes all shown heads</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>head.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Title">
    <table>
        <tr>
            <th class="command">title.send</th>
            <th class="desc">shows a player a title (and subtitle if set)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.send(player, title)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">title.setSub</th>
            <th class="desc">sets a subtitle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.setSub(player, subtitle)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">title.setTime</th>
            <th class="desc">sets the times for title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.setTime(player, fadeIn|20, show|60, fadeOut|20)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>times in ticks</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">title.reset</th>
            <th class="desc">resets the times for title to default</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.reset(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">title.clear</th>
            <th class="desc">removes the shown title</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>title.clear(player)</td>
        </tr>
    </table>
</section>
<section id="Permission">
    <table>
        <tr>
            <th class="command">perm.clear</th>
            <th class="desc">removes all permissions</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.clear()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.registerGroup</th>
            <th class="desc">adds a permission to a permission-group</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.registerGroup(id, permission)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>id 0 = default<br>id 1 = worldedit</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.registerPlayer</th>
            <th class="desc">adds a permission-group to a a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.registerPlayer(uuid / string_uuid / player, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.unregisterPlayer</th>
            <th class="desc">removes a permission-group from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.unregisterPlayer(uuid / string_uuid / player, id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">perm.has</th>
            <th class="desc">returns true if the player has the permission</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>perm.has(player, permission)</td>
        </tr>
    </table>
</section>
<section id="Player">
    <table>
        <tr>
            <th class="command">players.toList</th>
            <th class="desc">returns a list with all players online</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.toList()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">players.toWorldList</th>
            <th class="desc">returns a list with all players in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.toWorldList(World)</td>
        </tr>
        <tr>
            <td class="bold">Alias</td>
            <td>world.getPlayers(World)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">players.near</th>
            <th class="desc">returns a list with all players within a radius of a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.near(location, radius)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.damageArmor</th>
            <th class="desc">damages an players armor, portioned on all armor parts</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageArmor(player, damage_float, damage_source)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.near</th>
            <th class="desc">returns a list with all players within a radius of a player (without that player)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.near(player, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">players.getAmount</th>
            <th class="desc">returns the number of online players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>players.getAmount()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getHead</th>
            <th class="desc">returns a players head as an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHead(uuid, name)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>uuid and(!) name of the player</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getNearest</th>
            <th class="desc">returns the next player to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNearest(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setDisplayName</th>
            <th class="desc">set the name over players head</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setDisplayName(player, display_name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.speak (deprecated)</th>
            <th class="desc">sends a message with prefix</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.speak(receiver, präfix, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.action</th>
            <th class="desc">shows a message in the action bar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.action(receiver, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getTarget</th>
            <th class="desc">returns the location from the block the player is looking at</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTarget(player, radius|5, [blockmode|true], [fluidmode|true])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>blockmode: true ignores blocks without player collision<br>fluidmode: true does not ignores water</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.inventoryToList</th>
            <th class="desc">returns a list with the inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.inventoryToList(player)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>an empty slot is null<br>changes effects the player inventory directly</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getName</th>
            <th class="desc">returns the name of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getName(uuid / string_uuid / player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getUuid</th>
            <th class="desc">returns the uuid of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuid(player / player_name)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getUuidFromId</th>
            <th class="desc">returns the uuid of a player from his id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getUuidFromId(player_id)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getNameFromId</th>
            <th class="desc">returns the name of a player from his id</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getNameFromId(player_id)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getId</th>
            <th class="desc">returns the id of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getId(player / uuid / string_uuid)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.get</th>
            <th class="desc">returns the player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.get(uuid / string_uuid)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.respawn</th>
            <th class="desc">awakes a player from death if the parser reaches wait() and activates the respawn events</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.respawn(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setCompass</th>
            <th class="desc">set the direction for a players compass</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setCompass(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setHunger</th>
            <th class="desc">set the players hunger (vanilla default: 0-20)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setHunger(player, number)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getHunger</th>
            <th class="desc">returns the players hunger as number</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getHunger(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setSaturation</th>
            <th class="desc">set the players saturation (vanilla default: 0-20)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setSaturation(player, number)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getSaturation</th>
            <th class="desc">returns the players saturation as number</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getSaturation(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setGamemode</th>
            <th class="desc">set the gamemode for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setGamemode(player, gamemode)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>gamemode as "survival" / "creative" / "adventure" / "spectator"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isSurvival</th>
            <th class="desc">returns true if the player is in gamemode survival or adventure</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSurvival(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isCreative</th>
            <th class="desc">returns true if the player is in gamemode creative</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isCreative(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isAdventure</th>
            <th class="desc">returns true if the player is in gamemode adventure or spectator</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isAdventure(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.isSpectator</th>
            <th class="desc">returns true if the player is in gamemode spectator</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.isSpectator(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.hasFly</th>
            <th class="desc">returns true if the player can fly</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hasFly(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setFly</th>
            <th class="desc">set true for a flying player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setFly(player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getLastDamager</th>
            <th class="desc">returns the entity which harmed the player the last time</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getLastDamager(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.dropInventory</th>
            <th class="desc">drops the inventory from a player at a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.dropInventory(player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getItemAmount</th>
			<th class="desc">returns the amount of an item-type from a players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getItemAmount(player, boolean, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>true means exact itemstack</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.damageItem</th>
            <th class="desc">damages the item in a player's hand and returns true if the item breaks</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.damageItem(player, damage_amount)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>unbreaking (and more) is considered</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.setBedSpawn</th>
            <th class="desc">sets the spawn-location for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				player.setBedSpawn(player, location, [yaw])<br>
				player.setSpawn(player, location, [yaw])
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getBedSpawn</th>
            <th class="desc">returns the spawn-location for a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				player.getBedSpawn(player)<br>
				player.getSpawn(player)
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.giveItem</th>
            <th class="desc">gives an itemstack to a player and returns the itemstack which didn't fit in the players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.giveItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.removeItem</th>
            <th class="desc">removes an itemstack from a player and returns the itemstack which couldn't be removed from the players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.removeItem(player, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.say</th>
            <th class="desc">send a message to global chat, like a player has written the message by himself</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.say(player, text)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.getIP</th>
            <th class="desc">returns the ip-address of a player as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getIp(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">player.clearInventory</th>
            <th class="desc">clears the inventory of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.clearInventory(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.openEnderchest</th>
            <th class="desc">opens the enderchest from a player and shows it to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.openEnderchest(from_player, to_player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getInv</th>
            <th class="desc">returns the (non-copy) players inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getEnderInv</th>
            <th class="desc">returns the (non-copy) players ender inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getEnderInv(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getTargetEntity</th>
            <th class="desc">returns the targeted entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getTargetEntity(player, radius, class)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>player.getTargetEntity(player, 4, "net.minecraft.entity.player.EntityPlayer")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getLevel</th>
            <th class="desc">returns the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getLevel(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setLevel</th>
            <th class="desc">sets the level of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setLevel(player, level)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.getExp</th>
            <th class="desc">returns the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.getExp(player)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.setExp</th>
            <th class="desc">sets the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.setExp(player, exp)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.addTotalExp</th>
            <th class="desc">modifies the exp of a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.addTotalExp(player, exp)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.hide</th>
            <th class="desc">hides a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.hide(player)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>bug: effects show the player</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">player.show</th>
            <th class="desc">shows a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>player.show(player)</td>
        </tr>
    </table>
</section>
<section id="Inventory">
    <table>
        <tr>
            <th class="command">inv.new</th>
            <th class="desc">returns a new created custom-inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.new(String slotdata)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>slotdata: 0 = no slot / 1 = normal slot / 2 = button throws inv_click event, backgroundcolor like frame / 3 = button throws inv_click event, backgroundcolor different to frame</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>inv.new("002133")</td>
        </tr>
    </table>
	</table>
	<table>
		<tr>
            <th class="command">inv.getSize</th>
            <th class="desc">returns the size of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getSize(inventory)</td>
        </tr>
    <table>
        <tr>
            <th class="command">inv.setItem</th>
            <th class="desc">sets an itemstack on a specific slot in an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.setItem(inventory, slotindex, itemstack)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.getItem</th>
            <th class="desc">returns an itemstack from a specific slot of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getItem(inventory, slotindex)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.open</th>
            <th class="desc">shows an custom-inventory to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.open(inventory, player, inv_title)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.close</th>
            <th class="desc">closes an inventory from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.close(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.update</th>
            <th class="desc">updates an inventory from a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.update(player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.loadChest</th>
            <th class="desc">copies the content of a chest and put it into an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.loadChest(location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">inv.getID</th>
            <th class="desc">returns the id of an inventory</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>inv.getID(inventory)</td>
        </tr>
    </table>
</section>
<section id="World">
    <table>
        <tr>
            <th class="command">world.get</th>
            <th class="desc">returns a world as object</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.get(world_name_string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getName</th>
            <th class="desc">returns the name of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getName(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setDifficulty</th>
            <th class="desc">sets the difficulty of a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setDifficulty(difficulty_string)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>difficulty_string: PEACEFUL, EASY, NORMAL, HARD</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setSpawn</th>
            <th class="desc">sets the world spawn</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setSpawn(World, Location, [yaw])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getSpawn</th>
            <th class="desc">returns the world spawn as location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getSpawn(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getAll</th>
            <th class="desc">returns a list with all loaded worlds</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getAll()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setTime</th>
            <th class="desc">sets the time (0 - 24000) for a minecraft world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setTime(World, time)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getTime</th>
            <th class="desc">returns the time (0 - 24000) of a minecraft world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getTime(World)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">world.hasStorm</th>
            <th class="desc">returns true if it is raining in the world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.hasStorm(World)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.clearWeather</th>
            <th class="desc">clears the weather in a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.clearWeather(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setRain</th>
            <th class="desc">sets the weather in a world to rain</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setRain(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.setThunder</th>
            <th class="desc">sets the weather in a world to thunder</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.setThunder(World, time)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>effect of time unknown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">world.getEntities</th>
            <th class="desc">returns a list with all entities from a world</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>world.getEntities(world)</td>
        </tr>
    </table>
</section>
<section id="Entity">
	<table>
        <tr>
            <th class="command">entity.getType</th>
            <th class="desc">returns the type of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getType(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setName</th>
            <th class="desc">sets the name of an entity, true for an always visible name</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setName(entity, name, nameVisibility|false)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getName</th>
            <th class="desc">returns the name of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getName(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getLocation</th>
            <th class="desc">returns the location of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLocation(entity / player)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.teleport</th>
            <th class="desc">teleports an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.teleport(entity / player, location)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setInvulnerable</th>
            <th class="desc">sets an entity (in)vulverable</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvulnerable(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.throw</th>
            <th class="desc">throws an entity in relative direction to the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.throw(entity / player, x, y, z)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>x/y/z is claimed in the interval from -3.9 to 3.9 by minecraft</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setInvisible</th>
            <th class="desc">sets an entity (in)visible</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setInvisible(entity / player, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.clearEffects</th>
            <th class="desc">remove all effects from an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.clearEffects(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.remove</th>
            <th class="desc">removes an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.remove(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.removeAll</th>
            <th class="desc">remove specific entities from an area</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.removeAll(entity_class, location, radius)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>not all entity_classes are allowed (filtered and blocked)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.removeAll("net.minecraft.entity.passive.CowEntity", location, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setSilent</th>
            <th class="desc">true sets an entity silent</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setSilent(entity, boolean)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.mount</th>
            <th class="desc">let an entity ride another entity (for any living entities)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.mount(entity, horse_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.unmount</th>
            <th class="desc">unmounts the rider</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.unmount(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.isWet</th>
            <th class="desc">returns true if an entity is wet</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isWet(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.isBurning</th>
            <th class="desc">returns true if an entity burns</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.isBurning(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setBurning</th>
            <th class="desc">sets an entity on fire</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setBurning(entity, seconds)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>0 seconds extinguish the entity</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setNoPickup</th>
            <th class="desc">this arrow-entity cannot be picked up</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setNoPickup(arrow-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.get</th>
            <th class="desc">returns the next entity to a location</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.get(location, radius, entity_class)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>entity.get(location, radius, "net.minecraft.entity.passive.CowEntity")</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getItemFromFrame</th>
            <th class="desc">returns the itemstack of an itemframe</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getItemFromFrame(itemframe-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.spawnItemFrame</th>
            <th class="desc">sets an itemframe with an itemstack</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawnItemFrame(location, direction, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>direction "north" / "east" / "south" / "west"</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.spawn</th>
            <th class="desc">spawns an entity and returns the entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.spawn(type, location, [daten])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.getEnchantmentModifier</th>
            <th class="desc">returns the summarized enchantment modificator of the armor for the damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getEnchantmentModifier(entity, damagesource)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.setGravity</th>
            <th class="desc">toggles the gravity of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGravity(entity, boolean)</td>
        </tr>
    <table>
        <tr>
            <th class="command">entity.setPickupDelay</th>
            <th class="desc">unknown</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setPickupDelay(item-entity, ticks)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.setGrowingAge</th>
            <th class="desc">sets the growing age of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.setGrowingAge(entity, age_int)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getEffectAmplifier</th>
            <th class="desc">returns the amplifier (effect level), 0 if not existing</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.hasEffect(entity / player, effect)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a></td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.addEffect</th>
            <th class="desc">adds an effect to an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.addEffect(entity / player, effect, ticks, amplifier, [particle|true])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>String <a href="https://minecraft-de.gamepedia.com/Statuseffekt" target="_blank">effect</a> / number ticks (infinite: 32760) / number amplifier (1 means potion-level 1)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getPotionType</th>
            <th class="desc">returns the type of a potion</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getPotionType(potion-entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.near</th>
            <th class="desc">returns a list with all entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.near(location / entity, radius)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">entity.getLook</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getLook(entity / player)</td>
        </tr>
        <tr>
            <td class="bold">Examples</td>
            <td>array[0] = x<br>array[1] = y<br>array[2] = z</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">entity.getMotion</th>
            <th class="desc">returns an array with vectors</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>entity.getMotion(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">creeper.explode</th>
            <th class="desc">let a creeper explode</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>creeper.explode(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sheep.isSheared</th>
            <th class="desc">returns true if a sheep is sheared</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.isSheared(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">sheep.getColor(entity)</th>
            <th class="desc">returns the color of a sheep</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sheep.getColor(entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">pet.isTamed</th>
            <th class="desc">returns true if a pet is tamed</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.isTamed(tamable_entity)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">pet.setTamed</th>
            <th class="desc">set tame state for a tamable entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				pet.setTamed(tamable_entity, true, [owner])<br>
				pet.setTamed(tamable_entity, false)
			</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">pet.getOwner</th>
            <th class="desc">returns if a pet is tamed</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>pet.getOwner(tamable_entity)</td>
        </tr>
    </table>
</section>
<section id="Living">
    <table>
        <tr>
            <th class="command">living.setHealth</th>
            <th class="desc">sets the health points for an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setHealth(living_entity, amount)</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.getHealth</th>
            <th class="desc">returns the health points from an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getHealth(living_entity)</td>
        </tr>
	</table>
	<table>
        <tr>
            <th class="command">living.damage</th>
            <th class="desc">damages an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.damage(living_entity, damage_amount, [damagesource])</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.heal</th>
            <th class="desc">heals an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.heal(living_entity, heal_amount)</td>
        </tr>
		<tr>
            <td class="bold">Info</td>
            <td>triggers events on the next server tick</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.setEquip</th>
            <th class="desc">set the equipment of an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.setEquip(living_entity, bodypart, itemstack)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.getEquip</th>
            <th class="desc">returns the equipment of an living_entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.getEquip(living_entity, bodypart)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>bodypart: "head" / "chest" / "legs" / "feet" / "hand" / "offhand"</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.near</th>
            <th class="desc">returns a list with all living entities within a location / a radius of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.near(location / entity, radius)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">living.removeAi</th>
            <th class="desc">removes the AI of an entity</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.removeAi(living_entity)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command"></th>
            <th class="desc">commands for living properties</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				living.get...(living_entity)<br>
				living.getBase...(living_entity)<br>
				living.set..(living_entity, value)<br>
				living.setPersistent...(living_entity, value)
			</td>
        </tr>
        <tr>
            <td class="bold">Properties</td>
            <td>
				...maxHealth<br>
				...AttackKnockback<br>
				...AttackDamage<br>
				...AttackSpeed<br>
				...FollowRange<br>
				...Luck<br>
				...Armor<br>
				...ArmorThoughness<br>
				...MovementSpeed<br>
				...FlyingSpeed<br>
				...KnockbackResistance
			</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.shootProjectile</th>
            <th class="desc">returns the shooten entity. A projectile is shooten into viewing direction of the player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.shootProjectile(living_entity, String entity_class, Number power, [data])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
                data: always null, except for arrows and potions use itemstacks<br>
                <br>
                entity_classes:<br>
                <br>
                me.km.entities.EntityItemProjectile<br>
                net.minecraft.entity.projectile.SnowballEntity<br>
                net.minecraft.entity.projectile.EggEntity<br>
                net.minecraft.entity.item.EnderPearlEntity<br>
                net.minecraft.entity.projectile.PotionEntity<br>
                net.minecraft.entity.item.ExpBottleEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.TippedArrowEntity<br>
                net.minecraft.entity.projectile.SpectralArrowEntity<br>
                net.minecraft.entity.projectile.ArrowEntity<br>
                net.minecraft.entity.projectile.SmallFireballEntity<br>
                net.minecraft.entity.projectile.WitherSkullEntity<br>
                net.minecraft.entity.projectile.DragonFireballEntity<br>
                net.minecraft.entity.projectile.FireballEntity
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">living.isBlocking</th>
            <th class="desc">returns true if an entity is blocking (e.g. activated shield)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>living.isBlocking(entity)</td>
        </tr>
    </table>
</section>
<section id="Particle">
	<table>
        <tr>
            <th class="command">particle.get</th>
            <th class="desc">returns particle data</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.get(name, [data])</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>block particle: data = block_name<br>dust particle: data = float red, float green, float blue, float alpha<br>item particle: data = item_name</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">particle.getAll</th>
            <th class="desc">returns a list with all particles</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.getAll()</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">particle.spawn</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawn(location, particle_data, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">particle.spawnPlayer</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawnPlayer(location, particle_data, player, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
    <table>
        <tr>
            <th class="command">particle.spawnCircle</th>
            <th class="desc">spawns particle</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>particle.spawnCircle(location, particle_data, instances, radius, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])<br>particle.spawnCircle(location, particle_data, instances, stepX, stepY, stepZ, [count|1], [speed,0.0], [offX,0.0], [offY,0.0], [offZ,0.0])</td>
        </tr>
    </table>
</section>
<section id="Sound">
	<table>
        <tr>
            <th class="command">sound.get</th>
            <th class="desc">returns a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.get(String sound_name)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.getCategory</th>
            <th class="desc">returns a sound category</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.getCategory(String sound_category|"master")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.spawn</th>
            <th class="desc">plays a sound</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawn(location, sound, soundCategory, [volume|1.0], [pitch|random von 0.9 - 1.0])</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">sound.spawnForPlayer</th>
            <th class="desc">plays a sound for a player (not hearable for that one player!)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>sound.spawnForPlayer(player, sound, soundCategory, [volume|1.0], [pitch|random von 0.9 - 1.0])</td>
        </tr>
    </table>
</section>
<section id="Human">
	<table>
        <tr>
            <th class="command">human.spawn</th>
            <th class="desc">returns the new created human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.spawn(location)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setSkin</th>
            <th class="desc">sets the skin of a human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setSkin(human, file_name OR uuid)</td>
        </tr>
        <tr>
            <td class="bold">Info</td>
            <td>file_name is for skins saved local on our own server. if file_name not found, global skin are searched via uuid</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setSlim</th>
            <th class="desc">true makes the human slim (slim is for alex skins)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setSlim(human, boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setScale</th>
            <th class="desc">sets the size of the human</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setScale(human, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">human.setStatue</th>
            <th class="desc">toggles between human and statue</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>human.setStatue(human, bool)</td>
        </tr>
    </table>
</section>
<section id="Damage">
	<table>
        <tr>
            <th class="command">damage.get</th>
            <th class="desc">returns a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>
				damage.get(String damage_name)<br><br>
				damage.get("thorns", entity)<br><br>
				damage.get(entity, creative, armor, absolute, explosion, fire, magic, projectile)
			</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
			 <td>
				damage_name = inFire, lightningBolt, onFire, lava, hot_floor, inWall, cramming, drown, starve, cactus, fall, fyIntoWall, outOfWorld, generic, magic, wither, anvil, falling_block, dragon_breath, dryout, sweet_berry_bush
				<br><br>
                creative: boolean, true also deals damage in creative mode<br>
                armor: boolean, true ignores armor<br>
                absolute: boolean, true ignores enchantments and potions<br>
                explosion: boolean, tag for explosion enchantment<br>
                fire: boolean, tag for fire enchantment<br>
                magic: boolean, true makes the damage magic<br>
                projectile: boolean, tag for projectile enchantment<br>
            </td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getType</th>
            <th class="desc">returns the type of a damagesource as string</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getType(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getImmediateSource</th>
            <th class="desc">returns the direct damager entity of a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getImmediateSource(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.getTrueSource</th>
            <th class="desc">returns the indirect damager entity of a damagesource</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.getTrueSource(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isCreativePlayer</th>
            <th class="desc">returns true if the damagesource can damage an creative player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isCreativePlayer(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isAbsolute</th>
            <th class="desc">returns true if the damage ignores modifications by potion effects or enchantments</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isAbsolute(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isDifficultyscaled</th>
            <th class="desc">returns true if the damagesource will have its damageamount scaled based on the current difficulty</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isDifficultyscaled(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isExplosion</th>
            <th class="desc">returns true if the damage is explosion based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isExplosion(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isFire</th>
            <th class="desc">returns true if the damage is fire based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isFire(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isMagic</th>
            <th class="desc">returns true if the damage is magic based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isMagic(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isProjectile</th>
            <th class="desc">returns true if the damage is projectile based</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isProjectile(damagesource)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">damage.isUnblockable</th>
            <th class="desc">returns true if the damage cannot be blocked by armor</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>damage.isUnblockable(damagesource)</td>
        </tr>
    </table>
</section>
<section id="Data">
	<table>
        <tr>
            <th class="command">data.set</th>
            <th class="desc">sets data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.set(player, String varname, value)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.get</th>
            <th class="desc">returns data from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.get(player, String varname)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.setTimer</th>
            <th class="desc">sets timed data for a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.setTimer(player, String varname, ticks)</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>set ticks to -1 to delete the timer. after the timer expires the event player_data_tick is thrown</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.getTimer</th>
            <th class="desc">returns the remaining ticks of timed data (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.getTimer(player, String varname)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">data.clear</th>
            <th class="desc">deletes all datas from a player (script-across)</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>data.clear(player)</td>
        </tr>
    </table>
</section>
<section id="Shop">
	<table>
        <tr>
            <th class="command">shop.new</th>
            <th class="desc">returns a new shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.new()</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">shop.addOffer</th>
            <th class="desc">adds an offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addOffer(shop, buy_item, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">shop.addDoubleOffer</th>
            <th class="desc">adds a double offer to a shop</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.addDoubleOffer(shop, buy_item_1, buy_item_2, sell_item, max_uses)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">shop.open</th>
            <th class="desc">shows a shop to a player</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>shop.open(shop, player, shop_name)</td>
        </tr>
    </table>
</section>
<section id="Status">
	<table>
        <tr>
            <th class="command">status.add</th>
            <th class="desc">adds a message to the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.add(receiver, byte index, message)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">status.addTimed</th>
            <th class="desc">adds a timed message to the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.addTimed(receiver, byte index, int time, message)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">status.remove</th>
            <th class="desc">removes a single message from the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.remove(receiver, byte index)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">status.reset</th>
            <th class="desc">removes all messages from the enchantment-display</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>status.reset(receiver)</td>
        </tr>
    </table>
</section>
<section id="Boss">
	<table>
        <tr>
            <th class="command">boss.setColor</th>
            <th class="desc">sets the color for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setColor("PINK" / "BLUE" / "RED" / "GREEN" / "YELLOW" / "PURPLE" / "WHITE")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setCreateFog</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setCreateFog(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setDarkenSky</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setDarkenSky(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setPlayEndbossmusic</th>
            <th class="desc">sets a property for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setPlayEndbossmusic(boolean)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setName</th>
            <th class="desc">sets the name for the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setName(string)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setOverlay</th>
            <th class="desc">sets an overlay to split the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setOverlay("PROGRESS" / "NOTCHED_6" / "NOTCHED_10" / "NOTCHED_12" / "NOTCHED_20")</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.setPercent</th>
            <th class="desc">sets the progress of the bossbar</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.setPercent(0 - 1)</td>
        </tr>
    </table>
	<table>
        <tr>
            <th class="command">boss.send</th>
            <th class="desc">sends the bossbar to the players</th>
        </tr>
        <tr>
            <td class="bold">Format</td>
            <td>boss.send(receiver, "ADD" / "REMOVE" / "UPDATE_PCT" / "UPDATE_NAME" / "UPDATE_STYLE" / "UPDATE_PROPERTIES")</td>
        </tr>
        <tr>
            <td class="bold">Arguments</td>
            <td>
			ADD sends name, percent, color, overlay, properties(booleans)<br>
			UPDATE_PCT sends percent<br>
			UPDATE_NAME sends name<br>
			UPDATE_STYLE sends color, overlay<br>
			UPDATE_PROPERTIES sends properties(booleans)<br>
			</td>
        </tr>
    </table>
</section>